'use strict';

var cs = require('classnames');
var React = require('react');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var cs__default = /*#__PURE__*/_interopDefault(cs);
var React__default = /*#__PURE__*/_interopDefault(React);

const SkeletonContentStyle = "E_s20iney";
const SkeletonContent = props => {
  const {
    width = "100%",
    height = "100%",
    className
  } = props;
  return /* @__PURE__ */React__default.default.createElement("div", {
    className: cs__default.default("skeleton-box", SkeletonContentStyle, className),
    style: {
      width,
      height
    }
  }, /* @__PURE__ */React__default.default.createElement("div", {
    className: "skeleton-shimmer"
  }));
};
var SkeletonContent$1 = SkeletonContent;

module.exports = SkeletonContent$1;
